using Posechaemost.Domain.UseCase;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Posechaemost.UI
{
    public class MainMenuUI
    {
       
        UserConsoleUI _userConsoleUI;
        GroupConsoleUI _groupConsoleUI;

        public MainMenuUI(UserUseCase userUseCase, GroupUseCase groupUseCase) 
        { 
            _userConsoleUI = new UserConsoleUI(userUseCase);
            _groupConsoleUI = new GroupConsoleUI(groupUseCase);

            DisplayMenu();
            
        }

        private void DisplayMenu() 
        {
            while (true)
            {
                switch (Console.ReadLine())
                {
                    case "1": _userConsoleUI.DisplayAllUsers(); break;
                    case "2": _userConsoleUI.RemoveUserByGuid(Guid.Parse(Console.ReadLine())); break;
                    case "3": _groupConsoleUI.DisplayAllGroups(); break;
                    case "4": _userConsoleUI.GetUserByGuid(Guid.Parse(Console.ReadLine())); break;

                    default: DisplayMenu();
                        break;
                }

            }
        }
        
    }
}
